<?

// Подготавливаем параметры
$request['command']='calculate';
$request['project']='6752';
$request['sum']=10;
$request['userip']='94.103.26.178';
 
// Формируем подпись
$md5='7T_H+f>R(>U2_6#KB8=b.||';
foreach ($request as $value) {
$md5.= $value;
}
$request['md5'] = md5($md5.$secret_key);

// Формируем строку запроса
$url = 'https://secure.xsolla.com/api/mobile/payment/?';
foreach ($request as $key => $value) {
    $url.=$key . '=' . urlencode($value) . '&';
}
$url = rtrim($url, '&');

?>